Skip to end of metadata
Go to start of metadata

This is a short step-by-step guide on how to install Intel Development Tools on WinOS and LinuxOS.

Win10


Quartus Prime Software

  1. Download Quartus Software
  2. Run installer executable <product>-<version>-windows.exe (e.g. QuartusLiteSetup-21.1.0.842-windows.exe)
    1. Follow the instructions of the installation wizard
  3. Download device support you need
    1. Available device support for Quartus Prime Pro Edition 21.4: Quartus Prime Pro 21.4 for Windows - Device Support → Individual Files → Devices
      • Agliex (license required)
      • Arria 10 (license required)
      • Cyclone 10 GX (free, no license file required)
      • eASIC™ N5X (license required)
      • Stratix 10 (license required)
    2. Available device support for Quartus Prime Lite Edition 21.1.1 (free) : Quartus Prime Lite 21.1.1 for Windows - Device Support → Individual Files → Devices
      • Arria II
      • Cyclone IV
      • Cyclone 10 LP
      • Cyclone V
      • MAX II, MAX V
      • MAX 10 FPGA
  4. Launch Device Installer from WIndows Start Menu to install device support
    1. Follow the instructions of the device installer wizard
  5. Install Arrow USB Blaster driver for Trenz boards: Arrow USB Programmer

Nios II EDS

NIos II EDS is included in Quartus Prime software, but there are additional requirements for using it:

  • Installing Windows Subsystem for Linux (WSL) (required from version Quartus Prime Lite Edition 19.1 and Quartus Prime Pro Edition 19.2)
  • Installing Eclipse IDE into Nios II EDS (required from version Nios II EDS v19.1)

Install Windows Subsystem for Linux (WSL)

  • Windows* 10 build version 16215.0 or higher is the recommended operating system version.
  • Install only WSL1. WSL2 is not supported by Nios II EDS.


  1. Open PowerShell as Administrator
    1. Enable the Windows Subsystem for Linux: 

      dism.exe /online /enable-feature /featurename:Microsoft-Windows-Subsystem-Linux /all /norestart
    2. Enable virtual machine feature:

      dism.exe /online /enable-feature /featurename:VirtualMachinePlatform /all /norestart
  2. Restart your PC to complete the installation.
  3. Install Linux distribution Ubuntu18.04 LTS for WSL 
    1. Open PowerShell as Administrator and run:

      wsl --install --distribution Ubuntu-18.04
    2. Launch Ubuntu18.04 from Windows Start Menu and follow instructions
      1. Install additional packages:

        sudo apt update
        sudo apt upgrade
        sudo apt install wsl
        sudo apt install dos2unix
        sudo apt install make
        sudo apt install build-essential

For more information see: Installing Windows Subsystem for Linux (WSL) on Windows

Install Eclipse IDE into Nios II EDS

Starting with Nios II EDS v19.1 the Eclipse IDE must be installed manually as it is not included in Quartus Prime software.

  1. Download CDT 8.8.1 which is Eclipse C/C++ IDE for Mars.2: eclipse-cpp-mars-2-win32-x86_64.zip
  2. Extract the downloaded file and rename the <download_path>/eclipse folder to <download_path>/eclipse_nios2
  3. Copy and paste <quartus_installation_path>/nios2eds/bin/eclipse_nios2_plugins.zip to <download_path>
  4. Extract <download_path>/eclipse_nios2_plugins.zip → the Extraction overrides files in <download_path>/eclipse_nios2
  5. To verfiy the correct extraction you should see <download_path>/eclipse_nios2/plugin_customization.ini file
  6. Copy and paste <download_path>/eclipse_nios2 to <quartus_installation_path>/nios2eds/bin/eclipse_nios2
  7. Now you can launch "Nios II Software Build Tools for Eclipse"

For more information see: Nios II Developer Handbook#3.1. Installing Eclipse IDE into Nios II EDS

Intel SoC FPGA Embedded Development Suite

Starting with Quartus Prime Pro 20.3, the Intel SoC FPGA EDS was discontinued, for more information see: Intel SoC FPGA EDS - Overview#What's New

  1. Download Intel SoC FPGA EDS
  2. Run installer executable <product>-<version>-windows.exe (e.g. SoCEDSSetup-20.1.0.711-windows.exe)
    1. Follow the instructions of the installation wizard
    2. if you use Quartus Prime Lite 21.1.1 software, set the default installation directory to "path/to/intelFPGA_lite/21.1"
  3. Install Cygwin (needed for embedded command shell)
    1. Download the cygwin installer: https://cygwin.com/setup-x86_64.exe
    2. Start windows command shell and change work directory to:

      #Quartus Prime 21.1.1 Standard Edition
      cd path/to/intelFPGA/21.1/embedded/cygwin_setup/
      #Quartus Prime 21.1.1 Lite Edition
      cd path/to/intelFPGA_lite/21.1/embedded/cygwin_setup/
    3. Run soceds-cygwin-setup.bat with passing it the full path to where you downloaded the cygwin installer:

      soceds-cygwin-setup.bat path/to/cygwin_installer/setup-x86_64.exe
  4. Due to problems with python included in Intel SoC FPGA EDS Standard Edition 20.1 you need to reinstall it.
    See also: https://community.intel.com/t5/Intel-SoC-FPGA-Embedded/BSP-Editor-fails-to-generate-files/m-p/1243327#M881
    1. Go to folder path/to/installation/directory/of/quartus/21.1/embedded/host_tools/python and remove the all content
    2. Download python-3.9.1-amd64
    3. Run python-3.9.4-amd64.exe as administrator
    4. Select 'Customize installation'
    5. Click on 'Next' and select as install location path/to/installation/directory/of/quartus/21.1/embedded/host_tools/python
    6. Click on 'Install' to install python-3.9.1-amd64

For more information see: https://rocketboards.org/foswiki/Documentation/SoCEDS#Install_SoC_EDS_AN1

Linux Ubuntu 20.04 LTS


Quartus Prime Software

  1. Open Terminal
  2. Install required libraries:

    sudo dpkg --add-architecture i386
    sudo add-apt-repository ppa:linuxuprising/libpng12
    sudo apt update
    sudo apt install libc6:i386 libncurses6:i386 libxtst6:i386 libxft2:i386 libstdc++6:i386 \
    				 libc6-dev-i386 lib32z1 libncurses5 libbz2-1.0:i386 libpng12-0 libqt5xml5 \
    				 liblzma-dev libcanberra-gtk-module
  3. Download Quartus Software
  4. Run command:

    sudo chmod +x <download_path>/<product>-<version>-linux.run
  5. Run installer executable (e.g. QuartusLiteSetup-20.1.1.720-linux.run) and follow the instructions of the installation wizard:

    <download_path>/<product>-<version>-linux.run
  6. Download device support you need
    1. Available device support for Quartus Prime Pro Edition 21.4: Quartus Prime Pro 21.4 for Linux - Device Support → Individual Files → Devices
      • Agliex (license required)
      • Arria 10 (license required)
      • Cyclone 10 GX (free, no license file required)
      • Diamond Mesa (license required)
      • Stratix 10 (license required)
    2. Available device support for Quartus Prime Lite Edition 21.1.1 (free) : Quartus Prime Lite 21.1.1 for Linux - Device Support → Individual Files → Devices
      • Arria II
      • Cyclone IV
      • Cyclone 10 LP
      • Cyclone V
      • MAX II, MAX V
      • MAX 10 FPGA
  7. Launch Quartus Prime with

    #Quartus Prime Pro Edition 21.4
    path/to/intelFPGA_pro/21.4/quartus/bin/quartus
    #Quartus Prime Lite Edition 21.1.1
    path/to/intelFPGA_lite/21.1/quartus/bin/quartus
  8. Click 'Tools → Install Devices' to install device support
    1. Follow the instructions of the device installer wizard
  9. Install Arrow USB Blaster driver for Trenz boards: Arrow USB Programmer

Nios II EDS

Install Eclipse IDE into Nios II EDS

Starting with Nios II EDS v19.1 the Eclipse IDE must be installed manually as it is not included in Quartus Prime software.

  1. Download CDT 8.8.1 which is Eclipse C/C++ IDE for Mars.2: eclipse-cpp-mars-2-linux-gtk-x86_64.tar.gz
  2. move downloaded file to <installation_directory>/nios2eds/bin
  3. Extract the downloaded file:

    sudo tar xfv <installation_directory>/nios2eds/bin/eclipse-cpp-mars-2-linux-gtk-x86_64.tar.gz
  4. Rename the extracted file:

    sudo mv <installation_directory>/nios2eds/bin/eclipse <installation_directory>/nios2eds/bin/eclipse_nios2
  5. Extract the existing file "eclipse_nios2_plugins.tar.gz" → the Extraction overrides files in <download_path>/eclipse_nios2:

    sudo tar xfv <installation_directory>/nios2eds/bin/eclipse_nios2_plugins.tar.gz
  6. To verfiy the correct extraction you should see the <installation_directory>/nios2eds/bin/eclipse_nios2/plugin_customization.ini file
  7. Now you can launch "Nios II Software Build Tools for Eclipse"

For more information see: Nios II Developer Handbook#3.1. Installing Eclipse IDE into Nios II EDS

Intel SoC FPGA Embedded Development Suite

Starting with Quartus Prime Pro 20.3, the Intel SoC FPGA EDS was discontinued, for more information see:  Intel SoC FPGA EDS - Overview#What's New


  1. Download Intel SoC FPGA EDS
  2. Run installer executable <product>-<version>-linux.run (e.g. SoCEDSSetup-20.1.0.711-linux.run)
    1. Follow the instructions of the installation wizard
    2. if you use Quartus Prime Lite software, set the default installation directory to path/to/intelFPGA_lite/21.1

For more information see: https://rocketboards.org/foswiki/Documentation/SoCEDS#Install_SoC_EDS

References




Table of contents


  • No labels